#ifndef __debug_h__
#define __debug_h__

#ifdef __unix__
#include <sys/types.h>
#include <signal.h>
#include <unistd.h>
#include <stdio.h>
#define ASSERT(x) if (!(x)){\
    fprintf(stderr, "ASSERT ( %s ) failed in %s, line %d\n", #x, __FILE__, __LINE__);\
    kill (getpid(), SIGTRAP);\
}
#else
#define ASSERT(x)
#endif

#endif
