// -*-c++-*-
/* INTER THREAD COMMUNICATION
   this could be done in a better way (for multiple threads)
   but since we are in a single reader / single writer thread framework
   a ring buffer is good enough.
*/

#ifndef __queue_h_
#define __queue_h_



#include "event.h"


class queue {
    int elements;
    event_t *buffer;
    event_t *pread;
    event_t *pwrite;
    
  public:
    queue(int elements);
    ~queue();
    int read(event_t *e);
    int write(event_t *e);
};

#endif

