// gui window interface.
// widgets can depend on opengl, but things like glut, sdl, ...
// need to be implemented using this interface

#ifndef __window_h__ // -*-c++-*-
#define __window_h__

#include "widget.h"
#include "event.h"
#include "queue.h"




// init
void gui_start(void);

// comm
int gui_send(event_t *e);
int gui_receive(event_t *e);
int app_send(event_t *e);
int app_receive(event_t *e);

// factory
int gui_add(class widget *w);

#endif
